.\"	$NetBSD: dumpfs.8,v 1.17 2004/01/03 19:32:58 dbj Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)dumpfs.8	8.1 (Berkeley) 6/5/93
.\"
.Dd January 3, 2004
.Dt DUMPFS 8
.Os
.Sh NAME
.Nm dumpfs
.Nd dump file system information
.Sh SYNOPSIS
.Nm
.Op Fl acFimsv
.Ar filesys No \&| Ar device
.Op Ar ...
.Sh DESCRIPTION
.Nm
prints out detailed information about the specified filesystems.
.Pp
Options:
.Bl -tag -width Ds
.It Fl a
Print details from each alternate superblock.
.It Fl c
Print details of each cylinder group.
.It Fl F
Dump a file system image from a file, not a special device.
.It Fl i
Print details of each allocated inode.
.It Fl m
Print details of the cylinder group summary.
.It Fl s
Print details of the superblock.
.It Fl v
Be even more verbose.
.El
.Pp
If none of
.Fl a ,
.Fl c ,
.Fl i ,
.Fl m ,
or
.Fl s
are given, then
.Nm
defaults to
.Fl cmsv .
.Pp
.Nm
is useful mostly for finding out certain file system
information such as the file system block size, minimum
free space percentage, and the file system level that
can be upgraded with the
.Fl c
option of
.Xr fsck_ffs 8 .
All of this information is output by
.Nm
.Fl s .
.Sh SEE ALSO
.Xr disktab 5 ,
.Xr fs 5 ,
.Xr disklabel 8 ,
.Xr fsck 8 ,
.Xr fsck_ffs 8 ,
.Xr newfs 8 ,
.Xr tunefs 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.2 .
The
.Fl a ,
.Fl c ,
.Fl i ,
.Fl m ,
and
.Fl s
options, and the inode dump were added for
.Nx 2.0 .
